#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
=head1 action_ins_form

The 'ins_form' action for WDB.

=head1 Description

Creates a HTML form for inserting a new row in the database


This module is automatically loaded by WDB when the 'ins_form' action is
used.

=head1 Functions
=cut#--------------------------------------------------------------------------


#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
=head2 action_ins_form

Creates a HTML form for inserting a new row in the database

=cut
#------------------------------------------------------------------------------
sub action_ins_form
{
    my($cgi,$fdf) = @_;
    my($dbi,@keys,$key);

    print main::DEBUG "*** action_ins_form ***\n" if $main::debug;

    #------------------------
    # PRINT HTML FORM
    #------------------------

    $fdf->layout( ( $cgi->param('wdb_ldf') ? $cgi->param('wdb_ldf') : 'ins_form') );
    $fdf->print_html;
}

1;
