
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
=head2 load_dbi

Loads the database interface. - Dies on failure !

=cut
#------------------------------------------------------------------------------
sub load_dbi
{
    my($database) = @_;
    my($dbi);
    
    #--------------------------
    # Load database interface.
    #--------------------------
    require 'WDB/DBI_'.$WDB::Eval::DBI.'.pm'
	|| WDB::Error::Fatal("Error loading database interface file WDB/DBI_$WDB::Eval::DBI.pm :\n$!\n");
    
    $dbi = eval("new WDB::DBI_$WDB::Eval::DBI(\$WDB::Eval::user, \$WDB::Eval::pswd, \$WDB::Eval::server, \$WDB::Eval::database)");
    if ( $@ ) { WDB::Error::Fatal("Load_DBI failed: $@\n") }

    $dbi->dateformat($WDB::Eval::DATEFORMAT) if $WDB::Eval::DATEFORMAT;

    return $dbi;
}

1;
