# txt2html -- Converts 8 bit text to HTML

sub txt2html 
{
    local ( $txt ) = @_;

    $txt =~ s/&/&amp;/g;
    $txt =~ s/</&lt;/g;
    $txt =~ s/>/&gt;/g;

    # Keep this for backward compat.
    $txt =~ s//&oslash;/g;
    $txt =~ s//&aelig;/g;
    $txt =~ s//&aring;/g;
    $txt =~ s//&Oslash;/g;
    $txt =~ s//&AElig;/g;
    $txt =~ s//&Aring;/g;
    ##############

    $txt =~ s//&aelig;/g;
    $txt =~ s//&oslash;/g;
    $txt =~ s//&aring;/g;
    $txt =~ s//&AElig;/g;
    $txt =~ s//&Oslash;/g;
    $txt =~ s//&Aring;/g;

    $txt =~ s/\n/<BR>/g;

    return $txt;
}
